InstanceFactoryBean (Grails 6.0.0)

Package: org.grails.spring.beans.factory

## [Java] Class InstanceFactoryBean<T>

- org.grails.spring.beans.factory.InstanceFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean

      public class InstanceFactoryBean<T>
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean

  Simple singleton instance implementation of Spring's FactoryBean interface mainly useful in unit tests

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `T` | `object` |
    `java.lang.Class<?>` | `objectType` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InstanceFactoryBean ()`
    `InstanceFactoryBean (T object, java.lang.Class<?> objectType)`
    `InstanceFactoryBean (T object)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public T` | `getObject()`
    `` | `public java.lang.Class<?>` | `getObjectType()`
    `` | `public boolean` | `isSingleton()`
    `` | `public void` | `setObject(T object)`
    `` | `public void` | `setObjectType(java.lang.Class<?> objectType)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### T object

    - #### java.lang.Class<?> objectType

  - ### Constructor Detail

    - #### public InstanceFactoryBean()

    - #### public InstanceFactoryBean(T object, java.lang.Class<?> objectType)

    - #### public InstanceFactoryBean(T object)

  - ### Method Detail

    - #### @java.lang.Override public T getObject()

    - #### @java.lang.Override public java.lang.Class<?> getObjectType()

    - #### @java.lang.Override public boolean isSingleton()

    - #### public void setObject(T object)

    - #### public void setObjectType(java.lang.Class<?> objectType)